Name:             lincvs
Version:          1.4.0
Release:          0.1.rc2
Summary:          Graphical CVS Client

Group:            Development/Tools
License:          GPL
URL:              http://www.lincvs.org
Source0:          http://lincvs.com/download/lincvs-1.4.0-rc2-1-generic-src.tgz
Source1:          lincvs.desktop
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:    cvs >= 0:1.9.0
BuildRequires:    qt-devel >= 1:3.3
Requires:         cvs >= 0:1.9.0

%description
LinCVS is a graphical Interface for the cvs client commandline tool on the Unix and Windows platform. It allows ato load modules from a server (checkout), create modules on the server (import), as well as checking the state of directories and individual files or updating them. Basic operations like add, remove and commit are supported as matter of course, just like showing the actual differences between the server version and the local sandbox, graphical display of the version tree, and manifoldy graphical support of project maintenance. All actions are logged on the cvs server (configurable via history), and are therewith comprehensible.

To keep LinCVS independant of the cvs version, LinCVS uses the local but separat installed cvs and therewith always should work with the latest version.


%prep
%setup -q -n %{name}-1.4.0-rc2

cat <<'EOF' >lincvs.sh
#!/bin/sh
exec %{_libdir}/LinCVS/AppRun $@
EOF

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
qmake -o Makefile lincvs.pro
make %{?_smp_mflags}
  

%install
rm -rf ${RPM_BUILD_ROOT}
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

cp -Rpa LinCVS ${RPM_BUILD_ROOT}%{_libdir}
cp -p LinCVS/AppIcon.xpm ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/lincvs.xpm

install -p -D -m0755 lincvs.sh ${RPM_BUILD_ROOT}%{_bindir}/lincvs

desktop-file-install --vendor fedora                \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   \
  --add-category X-Fedora-Extra	                    \
  %{SOURCE1}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS doc/README THANKS doc/SSH-HOWTO.txt doc/PROXY-HOWTO.txt doc/FAQ.txt
%attr(755,root,root) %{_bindir}/lincvs
%{_libdir}/LinCVS
%{_datadir}/pixmaps/lincvs.xpm
%{_datadir}/applications/fedora-lincvs.desktop


%changelog
* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.4.0-0.1.rc2
- Fix for x86_64.

* Sat Feb 12 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.4.0-0.rc2
- 1.4.0-rc2.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.5-0.fdr.4
- Added XFree86-devel to BuildRequires.
- Changed group to Development/Tools.
- Changed desktop category to Developement.

* Wed Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.1.5-0.fdr.3
- Spec rebuilt after willy-nilly deletion of old one.
